﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.12.0/gitea-1.12.0-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.12.0/gitea-1.12.0-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'e0c08251215e91c4ebc5a9066aa237cb6949f5f810fc326d8820ee8a0e524eae'
  checksumType  = 'sha256'
  checksum64    = '90f946529a9e57c299277bf94e5b9c94dab210e1a09e8d74c99d917decf230ab'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
